package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtServiceAuth;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author HAIHUA2
 */
@Repository
public interface PtServiceAuthMapper {

    int insert(PtServiceAuth record);

    int update(PtServiceAuth record);

    int delete(@Param("id") String id);

    int deleteBy(PtServiceAuth key);

    PtServiceAuth get(@Param("id") String id);

    PtServiceAuth getBy(PtServiceAuth key);

    List<PtServiceAuth> findList(PtServiceAuth key);

    List<Map<String, Object>> listOfMap();
}
